<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="fb6ddcd0-df98-4d65-a159-b2472538162d" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/wsm-admin-web/target/" />
    <ignored path="$PROJECT_DIR$/wsm-common/target/" />
    <ignored path="$PROJECT_DIR$/wsm-admin-service/target/" />
    <ignored path="$PROJECT_DIR$/wsm-admin-dao/target/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/wsm-application/target/" />
    <ignored path=".idea" />
    <ignored mask="*.iml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="PushCallback.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/PushCallback.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="401">
              <caret line="128" selection-start-line="128" selection-end-line="128" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="TopicCode.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/TopicCode.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="479">
              <caret line="34" column="31" selection-start-line="34" selection-start-column="31" selection-end-line="34" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ClientMQTT.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/ClientMQTT.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="366">
              <caret line="60" selection-start-line="60" selection-end-line="60" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ApiDeviceController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/ApiDeviceController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="122">
              <caret line="26" column="14" lean-forward="true" selection-start-line="26" selection-start-column="14" selection-end-line="26" selection-end-column="14" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="CoverTcpServer.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/CoverTcpServer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-55">
              <caret line="18" column="10" selection-start-line="18" selection-start-column="10" selection-end-line="18" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="pom.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="302">
              <caret line="46" column="59" lean-forward="true" selection-start-line="46" selection-start-column="59" selection-end-line="46" selection-end-column="59" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="NettyServerHandler.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/NettyServerHandler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="32">
              <caret line="157" lean-forward="true" selection-start-line="157" selection-end-line="157" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="README.md" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="153">
                <caret line="9" column="4" selection-start-line="9" selection-start-column="4" selection-end-line="9" selection-end-column="4" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>TemplateEngine</find>
      <find>System.out.println</find>
      <find>swagger</find>
      <find>直播url数据</find>
      <find>Server start!</find>
      <find>com.wsm.admin.mapper.RoleMapper</find>
      <find>RoleMapper</find>
      <find>run registerStompEndpoints</find>
      <find>userMapper</find>
      <find>tb_user</find>
      <find>insertable</find>
      <find>list size:</find>
      <find>authc</find>
      <find>isAccessAllowed</find>
      <find>specification</find>
      <find>deviceService.</find>
      <find>Specification</find>
      <find>netty</find>
      <find>heartbeat device id</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RESET_MODE" value="MIXED" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/DeviceController.java" />
        <option value="$PROJECT_DIR$/wsm-common/src/main/java/com/wsm/common/config/WebMvcConfig.java" />
        <option value="$PROJECT_DIR$/wsm-common/pom.xml" />
        <option value="$PROJECT_DIR$/wsm-common/src/main/java/com/wsm/common/config/Swagger2.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/config/Swagger2.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/logback.xml" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/shiro/ShiroConfig.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/DataDictionaryController.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/LiveController.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/KaptchaController.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/init/StartupUdpEvent.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/init/TaskSchedule.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/application-pro.properties" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/mqtt/PushCallback.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/Rule.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/constant/MsgCode.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/mapper/RoleMapper.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/mapper/UserMapper.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/java/com/wsm/Application.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/ConvertData.java" />
        <option value="$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/IDeviceEventService.java" />
        <option value="$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/impl/DeviceEventServiceImpl.java" />
        <option value="$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/dao/IDeviceEventDao.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/deviceEvent/list.html" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/device/form.html" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/deviceEvent/form.html" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/static/js/map.js" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/NettyServerHandler.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/PushCallback.java" />
        <option value="$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/model/DeviceEvent.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/init/TaskSchedule.java" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/DeviceEventController.java" />
        <option value="$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/device/list.html" />
        <option value="$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/ApiDeviceController.java" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="wsm-base" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="wsm-base" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-7" />
    <option name="y" value="-13" />
    <option name="width" value="1936" />
    <option name="height" value="1049" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="log" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="device" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="device" type="462c0819:PsiDirectoryNode" />
              <item name="init" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="device" type="462c0819:PsiDirectoryNode" />
              <item name="mqtt" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="device" type="462c0819:PsiDirectoryNode" />
              <item name="tcp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-admin-web" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="shiro" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wsm" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="device" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="jm-smart-city" type="b2602c69:ProjectViewProjectNode" />
              <item name="jm-smart-city" type="462c0819:PsiDirectoryNode" />
              <item name="wsm-application" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="deviceEvent" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelOrder2" value="2" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RequestMappingsPanelWidth2" value="75" />
    <property name="SearchEverywhereHistoryKey" value="app&#9;FILE&#9;file://D:/work/jm-smart-city/wsm-application/src/main/resources/application.properties&#10;log&#9;FILE&#9;file://D:/work/jm-smart-city/wsm-application/src/main/resources/logback.xml&#10;logback.xml&#9;FILE&#9;file://D:/work/jm-smart-city/wsm-application/src/main/resources/logback.xml" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.wsm.admin.config" />
      <recent name="com.wsm.common.config" />
      <recent name="com.wsm.admin.api" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\work\jm-smart-city\wsm-application\src\main\resources\templates\admin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.Application">
    <configuration name="ConvertData" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.wsm.admin.device.tcp.ConvertData" />
      <module name="wsm-admin-web" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wsm.admin.device.tcp.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="Application" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="wsm-application" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wsm.Application" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <list>
      <item itemvalue="Spring Boot.Application" />
      <item itemvalue="Application.ConvertData" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.ConvertData" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fb6ddcd0-df98-4d65-a159-b2472538162d" name="Default" comment="" />
      <created>1573182301041</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1573182301041</updated>
      <workItem from="1573182306625" duration="7204000" />
      <workItem from="1576231069731" duration="10671000" />
      <workItem from="1576483258398" duration="38072000" />
    </task>
    <task id="LOCAL-00001" summary="添加了传感器">
      <created>1576231455524</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1576231455524</updated>
    </task>
    <task id="LOCAL-00002" summary="优化目录结构">
      <created>1576459652164</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1576459652164</updated>
    </task>
    <task id="LOCAL-00003" summary="update device event logic">
      <created>1576806659129</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1576806659129</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="55947000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-13" width="1936" height="1049" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="3" weight="0.32995737" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Designer" order="2" />
      <window_info anchor="bottom" id="Statistic" order="7" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Tail" order="7" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" order="7" weight="0.32824427" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info id="Image Layers" order="2" />
      <window_info anchor="bottom" id="Java Enterprise" order="7" />
      <window_info anchor="right" id="Capture Analysis" order="3" />
      <window_info anchor="bottom" id="Version Control" order="7" weight="0.32857144" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.8747253" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.17697228" />
      <window_info anchor="right" id="Bean Validation" order="3" />
      <window_info id="Web" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="添加了传感器" />
    <MESSAGE value="优化目录结构" />
    <MESSAGE value="update device event logic" />
    <option name="LAST_COMMIT_MESSAGE" value="update device event logic" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/tcp/NettyServer.java" />
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/init/TcpServer.java" />
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/handle/UdpServerHandler.java" />
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/thread/TaskExecutePool.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/dao/IResourceDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-context/4.3.16.RELEASE/spring-context-4.3.16.RELEASE.jar!/org/springframework/cache/annotation/ProxyCachingConfiguration.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="41" column="17" selection-start-line="41" selection-start-column="17" selection-end-line="41" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/mapper/RoleMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/application-pro.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" lean-forward="true" selection-start-line="14" selection-end-line="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/mapper/UserMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/impl/RoleServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="22" column="17" selection-start-line="22" selection-start-column="17" selection-end-line="22" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-common/src/main/java/com/wsm/common/shiro/ShiroManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="680">
          <caret line="48" column="47" selection-start-line="48" selection-start-column="47" selection-end-line="48" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/impl/ResourceServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="22" column="10" selection-start-line="22" selection-start-column="10" selection-end-line="22" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/java/com/wsm/Application.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="36" column="1" selection-start-line="36" selection-start-column="1" selection-end-line="36" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/model/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="22" column="24" selection-start-line="22" selection-start-column="24" selection-end-line="22" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="30" column="4" selection-start-line="30" selection-start-column="4" selection-end-line="30" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/log/base.2019-12-18.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="271" lean-forward="true" selection-start-line="9" selection-start-column="109" selection-end-line="9" selection-end-column="271" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/shiro/ShiroConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="109">
          <caret line="106" column="57" lean-forward="true" selection-start-line="106" selection-start-column="57" selection-end-line="106" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/DeviceController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="48" column="11" selection-start-line="48" selection-start-column="11" selection-end-line="48" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/UserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1119">
          <caret line="33" column="13" selection-start-line="33" selection-start-column="13" selection-end-line="33" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/IndexController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="411">
          <caret line="82" column="39" selection-start-line="82" selection-start-column="26" selection-end-line="82" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/ConvertData.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/IDeviceEventService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="20" column="28" lean-forward="true" selection-start-line="20" selection-start-column="28" selection-end-line="20" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/dao/IDeviceEventDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="21" lean-forward="true" selection-start-line="21" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-common/src/main/java/com/wsm/common/service/impl/BaseServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="343">
          <caret line="43" column="44" selection-start-line="43" selection-start-column="36" selection-end-line="43" selection-end-column="44" />
          <folding>
            <element signature="e#1206#1207#0" expanded="true" />
            <element signature="e#1259#1260#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/deviceEvent/list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="48" column="11" lean-forward="true" selection-start-line="48" selection-start-column="11" selection-end-line="48" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-service/src/main/java/com/wsm/admin/service/impl/DeviceEventServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="442">
          <caret line="38" column="38" selection-start-line="38" selection-start-column="38" selection-end-line="38" selection-end-column="38" />
          <folding>
            <element signature="e#997#998#0" expanded="true" />
            <element signature="e#1062#1063#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/device/form.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="564">
          <caret line="142" column="7" selection-start-line="142" selection-start-column="7" selection-end-line="142" selection-end-column="7" />
          <folding>
            <element signature="n#style#0;n#div#1;n#div#0;n#div#2;n#form#0;n#div#1;n#div#0;n#div#1;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/deviceEvent/form.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="564">
          <caret line="135" column="7" selection-start-line="135" selection-start-column="7" selection-end-line="135" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/static/js/map.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="564">
          <caret line="99" lean-forward="true" selection-start-line="99" selection-end-line="99" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/model/Device.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="50" column="7" selection-start-line="50" selection-start-column="7" selection-end-line="50" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-dao/src/main/java/com/wsm/admin/model/DeviceEvent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="493">
          <caret line="36" column="7" selection-start-line="36" selection-start-column="7" selection-end-line="36" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/init/TaskSchedule.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="442">
          <caret line="77" column="23" lean-forward="true" selection-start-line="77" selection-start-column="23" selection-end-line="77" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/constant/MsgCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="25" selection-start-line="10" selection-start-column="25" selection-end-line="10" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/DeviceEventController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="124" lean-forward="true" selection-start-line="124" selection-end-line="124" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-application/src/main/resources/templates/admin/device/list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="901">
          <caret line="53" selection-start-line="53" selection-end-line="56" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/ResourceController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2125">
          <caret line="125" column="66" selection-start-line="125" selection-start-column="58" selection-end-line="125" selection-end-column="66" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/RoleController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1296">
          <caret line="28" column="13" selection-start-line="28" selection-start-column="13" selection-end-line="28" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="146" column="60" selection-start-line="146" selection-start-column="60" selection-end-line="146" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/init/StartupUdpEvent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="30" column="26" selection-start-line="30" selection-start-column="12" selection-end-line="30" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/Rule.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/PushCallback.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="401">
          <caret line="128" selection-start-line="128" selection-end-line="128" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/TopicCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="479">
          <caret line="34" column="31" selection-start-line="34" selection-start-column="31" selection-end-line="34" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/mqtt/ClientMQTT.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="366">
          <caret line="60" selection-start-line="60" selection-end-line="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/CoverTcpServer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-55">
          <caret line="18" column="10" selection-start-line="18" selection-start-column="10" selection-end-line="18" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="302">
          <caret line="46" column="59" lean-forward="true" selection-start-line="46" selection-start-column="59" selection-end-line="46" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/api/ApiDeviceController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="122">
          <caret line="26" column="14" lean-forward="true" selection-start-line="26" selection-start-column="14" selection-end-line="26" selection-end-column="14" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wsm-admin-web/src/main/java/com/wsm/admin/device/tcp/NettyServerHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="32">
          <caret line="157" lean-forward="true" selection-start-line="157" selection-end-line="157" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/log/base.2019-12-23.log">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/log/base.2019-12-22.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="629">
          <caret line="61" column="110" lean-forward="true" selection-start-line="61" selection-start-column="110" selection-end-line="61" selection-end-column="110" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="153">
            <caret line="9" column="4" selection-start-line="9" selection-start-column="4" selection-end-line="9" selection-end-column="4" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>